Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.ItemFlag

    java.lang.Object
      java.lang.Enum<Qt.ItemFlag>
          com.trolltech.qt.core.Qt.ItemFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.ItemFlag>

Enclosing interface:
  Qt

    public static enum Qt.ItemFlag

extends java.lang.Enum<Qt.ItemFlag>
implements QtEnumerator

This enum describes the properties of an item.

Constant | Value | Description
--- | --- | ---
`ItemIsSelectable` | `1` | It can be selected.
`ItemIsEditable` | `2` | It can be edited.
`ItemIsDragEnabled` | `4` | It can be dragged.
`ItemIsDropEnabled` | `8` | It can be used as a drop target.
`ItemIsUserCheckable` | `16` | It can be checked or unchecked by the user.
`ItemIsEnabled` | `32` | The user can interact with the item.
`ItemIsTristate` | `64` | The item is checkable with three separate states.

Note that checkable items need to be given both a suitable set of flags and an initial state, indicating whether the item is checked or not. This is handled automatically for model/view components, but needs to be explicitly set for instances of `QListWidgetItem`, `QTableWidgetItem`, and `QTreeWidgetItem`.

See Also:
  `QAbstractItemModel`

Enum Constant Summary
`ItemIsDragEnabled` It can be dragged.
`ItemIsDropEnabled` It can be used as a drop target.
`ItemIsEditable` It can be edited.
`ItemIsEnabled` The user can interact with the item.
`ItemIsSelectable` It can be selected.
`ItemIsTristate` The item is checkable with three separate states.
`ItemIsUserCheckable` It can be checked or unchecked by the user.

Method Summary
`static Qt.ItemFlags` | `createQFlags(Qt.ItemFlag... values)`
`static Qt.ItemFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.ItemFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.ItemFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ItemIsSelectable

    public static final Qt.ItemFlag ItemIsSelectable

  It can be selected.

### ItemIsEditable

    public static final Qt.ItemFlag ItemIsEditable

  It can be edited.

### ItemIsDragEnabled

    public static final Qt.ItemFlag ItemIsDragEnabled

  It can be dragged.

### ItemIsDropEnabled

    public static final Qt.ItemFlag ItemIsDropEnabled

  It can be used as a drop target.

### ItemIsUserCheckable

    public static final Qt.ItemFlag ItemIsUserCheckable

  It can be checked or unchecked by the user.

### ItemIsEnabled

    public static final Qt.ItemFlag ItemIsEnabled

  The user can interact with the item.

### ItemIsTristate

    public static final Qt.ItemFlag ItemIsTristate

  The item is checkable with three separate states.

Method Detail

### values

    public static final Qt.ItemFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.ItemFlag c : Qt.ItemFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.ItemFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.ItemFlags createQFlags(Qt.ItemFlag... values)

### resolve

    public static Qt.ItemFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD